Name: x11-driver-input-mouse
Version: 1.8.1
Release: %mkrel 3
Summary: Xorg input driver for mice
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.bz2
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0
Patch1: 0001-Don-t-disable-3-button-emulation-if-third-mouse-butt.patch

%description
This package provide Xorg input driver for mice.

%prep
%setup -q -n xf86-input-mouse-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

rm -fr %{buildroot}%{_includedir}

%files
%{_libdir}/xorg/modules/input/mouse_drv.la
%{_libdir}/xorg/modules/input/mouse_drv.so
%{_mandir}/man4/mousedrv.*
%{_libdir}/pkgconfig/xorg-mouse.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-3.mga3
+ Revision: 385954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.8.1-2.mga3
+ Revision: 288926
- rebuild for new xserver

* Thu Aug 02 2012 tv <tv> 1.8.1-1.mga3
+ Revision: 277880
- adjust file list
- new release

* Fri Jul 27 2012 fwang <fwang> 1.8.0-1.mga3
+ Revision: 274922
- drop deve files
- new version 1.8.0

* Wed Jun 06 2012 tmb <tmb> 1.7.2-3.mga3
+ Revision: 256323
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.7.2-2.mga3
+ Revision: 252979
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.7.2-1.mga3
+ Revision: 249774
- new release

* Tue Dec 06 2011 tmb <tmb> 1.7.1-4.mga2
+ Revision: 177461
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.7.1-3.mga2
+ Revision: 153296
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.7.1-2.mga2
+ Revision: 153082
- rebuild for xserver-1.11
- new release

* Thu Mar 10 2011 tv <tv> 1.7.0-1.mga1
+ Revision: 67375
- new release

* Fri Mar 04 2011 tv <tv> 1.6.99.901-2.mga1
+ Revision: 64378
- rebuild for new xserver-1.10

* Fri Mar 04 2011 tv <tv> 1.6.99.901-1.mga1
+ Revision: 63996
- new release

* Thu Feb 10 2011 ennael <ennael> 1.6.0-3.mga1
+ Revision: 49599
- imported package x11-driver-input-mouse

